<?PHP
class pages_Model {
	var $call_controller = array('pages');

	function init(){

		//$this->pages->GET('action=delete')->method('delete');
		$this->pages->GET('action=publish')->method('publish');
		$this->pages->POST('save')->method();
		$this->pages->POST('save_and_publish')->method(array('save', 'publish'));
	}

	function page(){

		$this->init();
		$this->pages->get_pages($this->position)->Page($this->pages->page);
	}

	function pagename(){

		$this->pages->pagename()->Page('pagename');
	}
}
?>